> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/docs/es/acciones/workflow-concepts/run-once/trigger/incoming-webhook.md).

# Activador de webhook entrante

Activa un flujo de trabajo con un webhook entrante

## Cómo activar tu Workflow con un Webhook entrante

### 1. Crea un Workflow con una entrada JSON

Para activar un workflow con un Webhook entrante, primero debes asegurarte de que tu Workflow tenga un valor de entrada JSON:

{% @arcade/embed url="<https://app.arcade.software/share/c3phBccxDiEZkJjtHpvB>" flowId="c3phBccxDiEZkJjtHpvB" %}

### 2. Publica tu workflow

A continuación, publica tu Workflow haciendo clic en **Publicar** Workflow en la esquina superior derecha del Workflow Studio.

### 3. Configura la URL del Webhook

Ahora, configura la URL de tu Webhook con tu [UUID de la app y clave de API](/docs/es/acciones/workflow-concepts/run-once/api.md):

```bash
curl --request POST \
     --url 'https://app.airops.com/public_api/airops_apps/YOUR_APP_UUID/webhook_async_execute?auth_token=YOUR_API_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "custom_parameter": "Valor personalizado"
}
'
```

Ahora puedes probar tu API ejecutando la llamada en Postman o en tu terminal. Deberías ver una respuesta 200, que luego puedes validar en la pestaña "Historial" del Workflow.

Una vez que hayas confirmado que el Workflow se ejecutó correctamente, puedes copiar y pegar la URL del Webhook resultante en tu servicio externo. La URL se verá más o menos así:

```url
https://app.airops.com/public_api/airops_apps/a3cb8474-9ec1-4052-8c54-7cbcb7a4c846/webhook_async_execute?auth_token=your_workspace_token
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.airops.com/docs/es/acciones/workflow-concepts/run-once/trigger/incoming-webhook.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
